/*padding left and right for Tool bar before search and after pagination--- it was .products2*/
.tools {
    padding: 0 16px;
}
/*Mobile support*/
@media only screen and (max-width:767px) {
    .tools {
        padding-top: 0px;
        padding-bottom: 0px;
        padding-right: 0px;
        padding-left: 5px;
    }
}

/* there was a border on top*/
.tools md-table-pagination {
    border-top: none;
    height: 25px;/*added this for new product page the tools section was more*/
}

/*this label is used below md-icon for ex + for Add in distributorDetail*/
.tools label {
    font-size: 12px;
    font-weight: 600;
}
/*
.tools-cart-order {
    padding: 0;
}
.tools-cart-order label {
    font-size: 12px;
    font-weight: 600;
}*/

.details-page{
    /*padding-top: 10px;*/
}


/*------------------------------------   DETAILS PAGE HEADER  ----------------------------------------------*/
/*------------------------   MD_INPUTCONTAINER  -----------------------------------------------------------------------------------*/
.details-page md-input-container {
    margin: 20px 0 !important;
}
@media only screen and (max-width:767px) {
    .details-page md-input-container {
        margin: 5px 0 !important;
    }
}
/*adding margin similar to md-input-container bec right divider was not of same size*/
/*no need bec created seperated divider independent of md-input container*/
/*.details-page .margin-top-bottom {
    margin: 10px 0 !important;
}*/

/*.details-page md-input-container.nmb {
    margin-bottom: 0 !important;
}*/
/*md-input-container was taking up huge space so removed error part*/
.details-page md-input-container.no-error .md-errors-spacer {
    display: none;
}
/*.details-page md-input-container.nmv {
    margin-bottom: 0 !important;
    margin-top: 0 !important;
}
.details-page md-input-container.mr {
    margin-right: 1rem !important;
}*/

/* verticle line divider*/
/*no need we can use md-divider when layout =row*/
.vertical-divider-r{
    border-right: 2px solid #eee;
    padding-left: 10px;
    padding-right: 10px;
    height: 60px;
}
/*--------------------NEW UI PRODUCT PAGE------------------------------------*/
/*----New Product page the + icon was not aligned with excel icon*/
.vertical-divider-r-new-product{
    border-right: 2px solid #eee;
    height: 80px;
}

.vertical-divider-r-product{
    border-right: 2px solid #eee;
    padding-left: 10px;
    padding-right: 10px;
    height: 80px;
}

.vertical-divider-search{
    border-right: 2px solid #eee;
    padding-left: 10px;
    padding-right: 10px;
    height: 80px;
}
@media only screen and (max-width:767px) {
    .vertical-divider-search {
        padding-left: 0px;
        padding-right: 25px;
        height: 60px;
    }
}

.vertical-divider-bal{
    border-right: 2px solid #eee;
    padding-left: 10px;
    padding-right: 10px;
    height: 80px;
}
@media only screen and (max-width:767px) {
    .vertical-divider-bal {
        padding-left: 2px;
        height: 60px;
    }
}

/*commented */
/*there is also tools label above check*/
/*.details-page label {
    font-size: 14px;
}*/
/*----------------------------PRODUCT PAGE---------------------------------*/
.font-size-bal {
    font-size: /*16px*/14px !important;/*changed from 16 to 14 bec in high resolution ui was not proper*/
}
/*Distributor login Available Balance/credit limit font-size*/

@media only screen and (max-width:767px) {
    .font-size-bal {
        font-size: 10px !important;
    }
}

.font-size-credit {
    font-size: 14px !important;
}

@media only screen and (max-width:767px) {
    .font-size-credit {
        font-size: 9px !important;
    }
}

.font-size-color-for-disabled {
    font-size: 16px !important;
    color: red;
}

/*BUTTON LABEL WERE SHOWN IN UPPER CASE*/
.details-page .md-tab {
    text-transform: none;
}

.details-page .md-button {
    text-transform: none;
}

/*---------------------------------------------------- PAGINATION----------------------------------------------------------*/
.tools md-table-pagination>.buttons {
    margin-right: 0;/*original it was -16px*/
}
/*Sale/Purchase page pagination was displayed*/
@media only screen and (max-width:767px) {
    .tools md-table-pagination  {
        padding:0px !important;
        margin: 3px 0 2px 0 !important;
    }
}
@media only screen and (max-width:767px) {
    .tools md-table-pagination>.buttons>.label+.md-button.md-icon-button  {
        margin-left:0px !important;
    }
}

/*.save{
    font-size: 12px;
    font-weight: 600;
}*/

/*Hide the button of md datetime*/
.details-page .md-datepicker-button {
    display: none;
}

/*------------------------------------DETAILS PAGE _BUT WITH TABS--------------------------------------*/
.details-page-campaign{
    /*padding-top: 10px;*/
}
/*BUTTON LABEL WERE SHOWN IN UPPER CASE*/
.details-page-campaign .md-tab {
    text-transform: none;
}
.details-page-campaign .md-button {
    text-transform: none;
}

/*-----------------------------------------NEW UI-----------------------------------------------------------*/


.tools .legends {
    /*margin-left: 16px;*/
}

/*No need to have this*?
/*.tools .legends>div {
    margin-bottom: 4px;
}*/

/*Product page Cart label at top right*/
.tools .legends label{
    font-size: 1.142rem;/*16px;*/
    font-weight: 600;
    margin-bottom: 0;
}
/*mobile*/
@media only screen and (max-width:767px) {
    .tools .legends label{
        font-size: 0.8rem;
        font-weight: 600;
        margin-bottom: 0;
    }
}
/*.tools .legends .color {
    border-radius: 50%;
    margin-right: 8px;
}
.tools .legends .color.tw {
    background-color: #ffee58;
}
.tools .legends .color.cw {
    background-color: #64b5f6;
}*/
.tools .legends .for {
    font-size: 13px;
    font-weight: 600;
    color: #444;
    line-height: 18px;
    margin-top: 2px;
}

.tools .legends md-icon {
    width: 35px;
    height: 35px;
}
/*mobile*/
@media only screen and (max-width:767px) {
    .tools .legends md-icon {
        width: 55px;
        height: 35px;
    }
}

.details-page .strike{
    text-decoration: line-through;
}


/*
.card {
    border: 0 !important;
    -webkit-box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    border-radius: 6px;
}
.card .card-body {
    padding: 1rem;
}*/
/*ashu added in cart the delete was off the screen*/
/*
.card .card-body-cart {
    padding: 1px;
}*/


.package-page {
    /* not working for mobile*/
    /*padding-right: 75px;
    padding-left: 75px;*/
}

.package-page .jpg-img{
    height:150px;
    /*width: 150px*//* not working for mobile*/
    width: 100%;
}
/*Sala, Purchase, Order page image size*/
@media only screen and (max-width:767px) {
    .package-page .jpg-img {
        height: 80px;
        width: 100%;
    }
}

.package-page input{
    border-width: 0 0 1px 0;
    border-color: #c7c0c0;
    background: transparent;
}

.package-page .txt-height{
    height:40px;
    overflow: hidden;
}
/*to work with mobile view*/
@media only screen and (max-width:767px) {
    .package-page .txt-height{
        height:70px;
        overflow: hidden;
    }
}

.package-page .txt-align{
    text-align: center;
}
/*
.package-page .card-body{
    padding-right: 0 !important;
}*/

.package-page .md-button.md-icon-button{
    margin-right: 0 !important;
    padding-right: 0 !important;
    padding-top: 0 !important;
}

.tools .border-header{
    /*padding-right: 10px;
    padding-left: 10px;*/
    border: 2px solid #eee;
    border-radius: 10px;
}


/*---------------USED IN SALE/PURCHASE/CART-----------------------*/
.details-page .cart-border{
    border: 2px solid #eee;
    border-radius: 10px;
}

.details-page .content-border{
    border: 2px solid #eee;
}

.details-page .row-border{
    border: 20px solid #f0f0f0;
    border-radius: 50px;
}

/*cart/order page table border*/
@media only screen and (max-width:767px) {
    .details-page .row-border{
        /*border: 5px solid #f0f0f0;*/
        border-right: 5px solid #f0f0f0;
        border-left: 5px solid #f0f0f0;
        border-top: 5px solid #f0f0f0;
        border-bottom: 20px solid #f0f0f0;
        border-radius: 50px;
    }
}

.details-page .sale-price {
    font-weight: 500;
    margin-bottom: 0.125rem;
    /*color: #020310;
    font-size: 1.25rem;*/
    line-height: 1;
    /*ashu change for price in Home page and Product lis page to display %off below*/
    /*height: 15px;*/
}

/*
.details-page .sale-price span {
    margin-left: 0.25rem;
    color: #747794;
    text-decoration: line-through;
    font-size: 14px;
}*/
/*
.no-strike{
    text-decoration: none !important;
}*/
.details-page .mrp-price{
    font-weight: normal;
    font-size: 11px;
}
/*Sale, Purchase page MRP font size it was going to next line*/
@media only screen and (max-width:767px) {
    .details-page .mrp-price{
        font-weight: normal;
        font-size: 10px;
    }
}
.details-page .discount-price{
    color: #52AAF7 !important;
    font-weight: bold;
    font-size: 12px !important;
}

.details-page .codes{
    font-weight: normal;
    font-size: 12px;
}
/*Purchase Sale page-available code fot size*/
@media only screen and (max-width:767px) {
    .details-page .codes {
        font-weight: normal;
        font-size: 10px;
    }
}
.details-page .quantity-button-handler-sale2 {
    min-width: 25px;
    min-height: 25px;
    width: 25px;
}
.details-page .quantity-button-handler-sale {
    min-width: 25px;
    min-height: 25px;
    width: 25px;
    /*background-color: #89C647;
    border: 1px solid #ebebeb;*/
    /* color: #020310; */
    /*color: rgb(250, 250, 250);*/
    line-height: 25px;
    font-size: 1.25rem;
    text-align: center;
    border-radius: 0.25rem;
    /*cursor: pointer;*/
    -webkit-transition-duration: 500ms;
    -o-transition-duration: 500ms;
    transition-duration: 500ms;
}

@media only screen and (max-width:767px) {
    .package-page .quantity-button-handler-sale{
        min-width: 15px !important;
        min-height: 25px;
        width: 15px !important;
    }
}
/*used in Sale/Purchase page*/
.details-page .quantity-button-handler-sale-input {
    width: 1.5rem;
    text-align: center;
    height: 2.5rem;
}


.details-page .quantity-button-handler-sale-span{
    padding-top: 10px;
}

.details-page .qty-text {
    width: 2.0rem;
    text-align: center;
    height: 1.5rem;
    border-radius: 0.25rem;
    -webkit-transition-duration: 300ms;
    -o-transition-duration: 300ms;
    transition-duration: 300ms;
    border: 0 !important;
    /*background-color: #c2d4f8;*/
}

.custom-area{
    border: 2px solid #eee;
    border-radius: 10px;
    margin-left: 400px;
    margin-right: 400px;
}
/*Order page - Share area*/
@media only screen and (max-width:767px) {
    .custom-area{
        border: 2px solid #eee;
        border-radius: 10px;
        margin-left: 5px;
        margin-right: 5px;
    }
}

.details-page .custom-area .md-button {
    margin:0px;
}

.details-page .custom-area label {
    margin-bottom:0px;
}

.custom-area md-icon {
    width: 50px;
    height: 50px;
}

.package-page .card .card-body .card{
    border:none;
}

.package-page .card .card-body{
    padding: 0;
}

.card.discount-area .discount-body {
    padding: 0.2rem 1.25rem;
    background-color: #7cb342;
    font-size: 12px;
}
/*Purchase sale page % off size*/
@media only screen and (max-width:767px) {
    .card.discount-area .discount-body {
        padding: 0.2rem 0.25rem;
        background-color: #7cb342;
        font-size: 10px;
    }
}
/*not used*/
/*.cart-amount-area .card-body {
    padding: 0.2rem 1.25rem;

}*/

/*.cart-amount-area .card-body md-icon {
    width: 50px;
    height: 50px;
}*/
/*
.cart-amount-area .card-body.md-button.md-icon-button {
   height: 60px;
}*/

md-icon.s15{
    width: 15px;
    height: 15px;
    min-width: 15px;
    min-height: 15px;
}

md-icon.s10{
    width: 10px;
    height: 10px;
    min-width: 10px;
    min-height: 10px;
}

md-icon.s20{
    width: 20px;
    height: 20px;
    min-width: 20px;
    min-height: 20px;
}

md-icon.verified{
    width: 40px;
    height: 40px;
    min-width: 40px;
    min-height: 40px;
}


.txt-red {
    color: #f44336;
}
.txt-green {
    color: #4caf50;
}
.txt-blue {
    color: rgb(8,134,244);
}

.font-bold{
    font-weight: bold;
}

md-icon.s18 {
    width: 18px;
    height: 18px;
    min-width: 18px;
    min-height: 18px;
}

md-icon.s25 {
    width: 25px;
    height: 25px;
    min-width: 25px;
    min-height: 25px;
}

.add-edit-page{

}
/*Used this for input type file to remove text 'no file choosen'*/
.add-edit-page input[type='file'] {
    color: transparent;
}
/* This was used for background color in cart and orderdetail page
.orderpage{
    background-color: rgb(240,240,240) !important;
}
*/
.hide-for-laptop{
    display: none;
}
/*Sale page-Upload excel, Add product, Cart box (No of products/Amount)  Toolbar-Welcome username*/
@media only screen and (max-width:767px) {
    .hide-control{
        display: none !important;
    }
}
.hide-control-web{
    display: none !important;
}
@media only screen and (max-width:767px) {
    .hide-control-web{
        display: block!important;
    }
}

@media all
{
    .hide-control-web2{
        display: none !important;
    }
}

/*@media only screen and (min-width:768px) and (max-width:1280px) {*/
/*@media only screen and (min-width: 1224px){*/
@media only screen and (min-width: 1024px){
    .hide-control-web2{
        display: none !important;
    }
}

/*for laptop set width*/
/*.category-width{
    width: 300px;
}*/
/*Sale page-Category search box size*/
/*@media only screen and (max-width:767px) {
    .category-width{
        width: 50px;
    }
}*/

/*Sale Purchase page All to Cart button width in the list*/
.btn-width{
    width: 130px;
}
/*Sale/Purchase page-Search box size*/
@media only screen and (max-width:767px) {
    .btn-width{
        width: 130px;
    }
}
/*Sale/Purchase page-Search box size Add to cart size*/
@media only screen and (max-width:767px) {
    .details-page .package-page .md-button{
        min-width: 70px;
        width: 60px;
        font-size: 10px;
        padding: 0 1px;

    }
}

/*Sale/Purchase page-Search box size*/
/*
@media only screen and (max-width:767px) {
    .search-box-size md-input-container {
        width: 50px;
    }
}*/


/*Used beside the cart icon in Purchase and Sale to display product count*/
.cart-icon-wrap span {
    position: absolute;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    text-align: center;
    color: #ffffff;
    font-size: 10px;
    background-color: #090909;
    top: 30px;
    right: 20px;
    line-height: 16px;
}

/*To work with mobile changed px to rem in Purchase and Sale product title*/
.font-size-prod-title{
    font-size: 1rem;
}
/*To work with mobile changed px to rem in Purchase and Sale product title*/
@media only screen and (max-width:767px) {
    .font-size-prod-title{
        font-size: 0.8rem;
    }
}
/*created this bec enen in the paymnet page md-input container md-select value was affected*/
.sale-page{
}
/*purchase/sale page removed size value and adjusted with flex*/
.sale-page .tools md-input-container md-select .md-select-value{
    min-width: 300px;
}
.sale-page .tools md-input-container .md-input{
    min-width: 340px;
}
/*Purchase/Sale page category search */
@media only screen and (max-width:767px) {
    .sale-page .tools md-input-container md-select .md-select-value{
        min-width: 70px;
    }
}

@media only screen and (max-width:767px) {
    .details-page .tools .cat-width-national md-input-container md-select .md-select-value{
        min-width: 120px;
    }
}

@media only screen and (max-width:767px) {
    .sale-page .tools md-input-container .md-input{
        min-width: 55px;
    }
}
/*Purchase/Sale page pagination button */
@media only screen and (max-width:767px) {
    .details-page .md-button.md-icon-button{
        padding: 0;
    }
}

